# Copyright 2022 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

- name: xnn_operator_type_invalid
  string: "Invalid"
- name: xnn_operator_type_abs_nc_f16
  string: "Abs (NC, F16)"
- name: xnn_operator_type_abs_nc_f32
  string: "Abs (NC, F32)"
- name: xnn_operator_type_add_nd_f16
  string: "Add (ND, F16)"
- name: xnn_operator_type_add_nd_f32
  string: "Add (ND, F32)"
- name: xnn_operator_type_add_nd_qs8
  string: "Add (ND, QS8)"
- name: xnn_operator_type_add_nd_qu8
  string: "Add (ND, QU8)"
- name: xnn_operator_type_argmax_pooling_nhwc_f32
  string: "ArgMax Pooling (NHWC, F32)"
- name: xnn_operator_type_average_pooling_nhwc_f16
  string: "Average Pooling (NHWC, F16)"
- name: xnn_operator_type_average_pooling_nhwc_f32
  string: "Average Pooling (NHWC, F32)"
- name: xnn_operator_type_average_pooling_nhwc_qu8
  string: "Average Pooling (NHWC, QU8)"
- name: xnn_operator_type_bankers_rounding_nc_f16
  string: "Bankers Rounding (NC, F16)"
- name: xnn_operator_type_bankers_rounding_nc_f32
  string: "Bankers Rounding (NC, F32)"
- name: xnn_operator_type_ceiling_nc_f16
  string: "Ceiling (NC, F16)"
- name: xnn_operator_type_ceiling_nc_f32
  string: "Ceiling (NC, F32)"
- name: xnn_operator_type_channel_shuffle_nc_x8
  string: "Channel Shuffle (NC, X8)"
- name: xnn_operator_type_channel_shuffle_nc_x32
  string: "Channel Shuffle (NC, X32)"
- name: xnn_operator_type_clamp_nc_f16
  string: "Clamp (NC, F16)"
- name: xnn_operator_type_clamp_nc_f32
  string: "Clamp (NC, F32)"
- name: xnn_operator_type_clamp_nc_s8
  string: "Clamp (NC, S8)"
- name: xnn_operator_type_clamp_nc_u8
  string: "Clamp (NC, U8)"
- name: xnn_operator_type_constant_pad_nd_x8
  string: "Constant Pad (ND, X8)"
- name: xnn_operator_type_constant_pad_nd_x16
  string: "Constant Pad (ND, X16)"
- name: xnn_operator_type_constant_pad_nd_x32
  string: "Constant Pad (ND, X32)"
- name: xnn_operator_type_convert_nc_f16_f32
  string: "Convert (NC, F16, F32)"
- name: xnn_operator_type_convert_nc_f32_f16
  string: "Convert (NC, F32, F16)"
- name: xnn_operator_type_convert_nc_f32_qs8
  string: "Convert (NC, F32, QS8)"
- name: xnn_operator_type_convert_nc_f32_qu8
  string: "Convert (NC, F32, QU8)"
- name: xnn_operator_type_convert_nc_qs8
  string: "Convert (NC, QS8)"
- name: xnn_operator_type_convert_nc_qs8_f32
  string: "Convert (NC, QS8, F32)"
- name: xnn_operator_type_convert_nc_qu8
  string: "Convert (NC, QU8)"
- name: xnn_operator_type_convert_nc_qu8_f32
  string: "Convert (NC, QU8, F32)"
- name: xnn_operator_type_convolution_nhwc_f16
  string: "Convolution (NHWC, F16)"
- name: xnn_operator_type_convolution_nhwc_f32
  string: "Convolution (NHWC, F32)"
- name: xnn_operator_type_convolution_nhwc_qc8
  string: "Convolution (NHWC, QC8)"
- name: xnn_operator_type_convolution_nhwc_qs8
  string: "Convolution (NHWC, QS8)"
- name: xnn_operator_type_convolution_nhwc_qu8
  string: "Convolution (NHWC, QU8)"
- name: xnn_operator_type_convolution_nchw_f32
  string: "Convolution (NCHW, F32)"
- name: xnn_operator_type_copy_nc_x8
  string: "Copy (NC, X8)"
- name: xnn_operator_type_copy_nc_x16
  string: "Copy (NC, X16)"
- name: xnn_operator_type_copy_nc_x32
  string: "Copy (NC, X32)"
- name: xnn_operator_type_deconvolution_nhwc_f16
  string: "Deconvolution (NHWC, F16)"
- name: xnn_operator_type_deconvolution_nhwc_f32
  string: "Deconvolution (NHWC, F32)"
- name: xnn_operator_type_deconvolution_nhwc_qs8
  string: "Deconvolution (NHWC, QS8)"
- name: xnn_operator_type_deconvolution_nhwc_qu8
  string: "Deconvolution (NHWC, QU8)"
- name: xnn_operator_type_depth_to_space_nchw2nhwc_x32
  string: "Depth To Space (NCHW2NHWC, X32)"
- name: xnn_operator_type_depth_to_space_nhwc_x8
  string: "Depth To Space (NHWC, X8)"
- name: xnn_operator_type_depth_to_space_nhwc_x16
  string: "Depth To Space (NHWC, X16)"
- name: xnn_operator_type_depth_to_space_nhwc_x32
  string: "Depth To Space (NHWC, X32)"
- name: xnn_operator_type_divide_nd_f16
  string: "Divide (ND, F16)"
- name: xnn_operator_type_divide_nd_f32
  string: "Divide (ND, F32)"
- name: xnn_operator_type_elu_nc_f16
  string: "ELU (NC, F16)"
- name: xnn_operator_type_elu_nc_f32
  string: "ELU (NC, F32)"
- name: xnn_operator_type_elu_nc_qs8
  string: "ELU (NC, QS8)"
- name: xnn_operator_type_floor_nc_f16
  string: "Floor (NC, F16)"
- name: xnn_operator_type_floor_nc_f32
  string: "Floor (NC, F32)"
- name: xnn_operator_type_fully_connected_nc_f16
  string: "Fully Connected (NC, F16)"
- name: xnn_operator_type_fully_connected_nc_f32
  string: "Fully Connected (NC, F32)"
- name: xnn_operator_type_fully_connected_nc_qs8
  string: "Fully Connected (NC, QS8)"
- name: xnn_operator_type_fully_connected_nc_qu8
  string: "Fully Connected (NC, QU8)"
- name: xnn_operator_type_global_average_pooling_nwc_f16
  string: "Global Average Pooling (NWC, F16)"
- name: xnn_operator_type_global_average_pooling_nwc_f32
  string: "Global Average Pooling (NWC, F32)"
- name: xnn_operator_type_global_average_pooling_nwc_qs8
  string: "Global Average Pooling (NWC, QS8)"
- name: xnn_operator_type_global_average_pooling_nwc_qu8
  string: "Global Average Pooling (NWC, QU8)"
- name: xnn_operator_type_global_average_pooling_ncw_f32
  string: "Global Average Pooling (NCW, F32)"
- name: xnn_operator_type_hardswish_nc_f16
  string: "HardSwish (NC, F16)"
- name: xnn_operator_type_hardswish_nc_f32
  string: "HardSwish (NC, F32)"
- name: xnn_operator_type_leaky_relu_nc_f16
  string: "Leaky ReLU (NC, F16)"
- name: xnn_operator_type_leaky_relu_nc_f32
  string: "Leaky ReLU (NC, F32)"
- name: xnn_operator_type_leaky_relu_nc_qs8
  string: "Leaky ReLU (NC, QS8)"
- name: xnn_operator_type_leaky_relu_nc_qu8
  string: "Leaky ReLU (NC, QU8)"
- name: xnn_operator_type_max_pooling_nhwc_f16
  string: "Max Pooling (NHWC, F16)"
- name: xnn_operator_type_max_pooling_nhwc_f32
  string: "Max Pooling (NHWC, F32)"
- name: xnn_operator_type_max_pooling_nhwc_s8
  string: "Max Pooling (NHWC, S8)"
- name: xnn_operator_type_max_pooling_nhwc_u8
  string: "Max Pooling (NHWC, U8)"
- name: xnn_operator_type_maximum_nd_f16
  string: "Maximum (ND, F16)"
- name: xnn_operator_type_maximum_nd_f32
  string: "Maximum (ND, F32)"
- name: xnn_operator_type_minimum_nd_f16
  string: "Minimum (ND, F16)"
- name: xnn_operator_type_minimum_nd_f32
  string: "Minimum (ND, F32)"
- name: xnn_operator_type_multiply_nd_f16
  string: "Multiply (ND, F16)"
- name: xnn_operator_type_multiply_nd_f32
  string: "Multiply (ND, F32)"
- name: xnn_operator_type_multiply_nd_qs8
  string: "Multiply (ND, QS8)"
- name: xnn_operator_type_multiply_nd_qu8
  string: "Multiply (ND, QU8)"
- name: xnn_operator_type_negate_nc_f16
  string: "Negate (NC, F16)"
- name: xnn_operator_type_negate_nc_f32
  string: "Negate (NC, F32)"
- name: xnn_operator_type_prelu_nc_f16
  string: "PReLU (NC, F16)"
- name: xnn_operator_type_prelu_nc_f32
  string: "PReLU (NC, F32)"
- name: xnn_operator_type_resize_bilinear_nhwc_f16
  string: "Resize Bilinear (NHWC, F16)"
- name: xnn_operator_type_resize_bilinear_nhwc_f32
  string: "Resize Bilinear (NHWC, F32)"
- name: xnn_operator_type_resize_bilinear_nhwc_s8
  string: "Resize Bilinear (NHWC, S8)"
- name: xnn_operator_type_resize_bilinear_nhwc_u8
  string: "Resize Bilinear (NHWC, U8)"
- name: xnn_operator_type_resize_bilinear_nchw_f32
  string: "Resize Bilinear (NCHW, F32)"
- name: xnn_operator_type_sigmoid_nc_f16
  string: "Sigmoid (NC, F16)"
- name: xnn_operator_type_sigmoid_nc_f32
  string: "Sigmoid (NC, F32)"
- name: xnn_operator_type_sigmoid_nc_qs8
  string: "Sigmoid (NC, QS8)"
- name: xnn_operator_type_sigmoid_nc_qu8
  string: "Sigmoid (NC, QU8)"
- name: xnn_operator_type_softmax_nc_f16
  string: "Softmax (NC, F16)"
- name: xnn_operator_type_softmax_nc_f32
  string: "Softmax (NC, F32)"
- name: xnn_operator_type_softmax_nc_qu8
  string: "Softmax (NC, QU8)"
- name: xnn_operator_type_space_to_depth_nhwc_x8
  string: "Space To Depth (NHWC, X8)"
- name: xnn_operator_type_space_to_depth_nhwc_x16
  string: "Space To Depth (NHWC, X16)"
- name: xnn_operator_type_space_to_depth_nhwc_x32
  string: "Space To Depth (NHWC, X32)"
- name: xnn_operator_type_square_nc_f16
  string: "Square (NC, F16)"
- name: xnn_operator_type_square_nc_f32
  string: "Square (NC, F32)"
- name: xnn_operator_type_square_root_nc_f16
  string: "Square Root (NC, F16)"
- name: xnn_operator_type_square_root_nc_f32
  string: "Square Root (NC, F32)"
- name: xnn_operator_type_squared_difference_nd_f16
  string: "Squared Difference (NC, F16)"
- name: xnn_operator_type_squared_difference_nd_f32
  string: "Squared Difference (NC, F32)"
- name: xnn_operator_type_subtract_nd_f16
  string: "Subtract (ND, F16)"
- name: xnn_operator_type_subtract_nd_f32
  string: "Subtract (ND, F32)"
- name: xnn_operator_type_subtract_nd_qs8
  string: "Subtract (ND, QS8)"
- name: xnn_operator_type_subtract_nd_qu8
  string: "Subtract (ND, QU8)"
- name: xnn_operator_type_tanh_nc_qs8
  string: "Tanh (NC, QS8)"
- name: xnn_operator_type_tanh_nc_qu8
  string: "Tanh (NC, QU8)"
- name: xnn_operator_type_truncation_nc_f16
  string: "Truncation (NC, F16)"
- name: xnn_operator_type_truncation_nc_f32
  string: "Truncation (NC, F32)"
- name: xnn_operator_type_transpose_nd_x8
  string: "Transpose (ND, X8)"
- name: xnn_operator_type_transpose_nd_x16
  string: "Transpose (ND, X16)"
- name: xnn_operator_type_transpose_nd_x32
  string: "Transpose (ND, X32)"
- name: xnn_operator_type_unpooling_nhwc_x32
  string: "Unpooling (NHWC, X32)"
